package com.steerinfo.baseinfo.meterbasemutualdiff.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.baseinfo.meterbasemutualdiff.model.MeterBaseMutualDiff;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface MeterBaseMutualDiffMapper extends IBaseMapper<MeterBaseMutualDiff, String> {
     String GetNewID();

     List<MeterBaseMutualDiff> selectForUpdate(Map<String, Object> parameters);

     List<MeterBaseMutualDiff> selectDiffWeight(Map<String, Object> parameters);

     List<MeterBaseMutualDiff> selectBaseSpot(HashMap<String, Object> obj);
}